Mandrake Linux Security Advisory : libpng (MDKSA-2002:049)

This script is Copyright (C) 2004-2013 Tenable Network Security, Inc.


Synopsis :

The remote Mandrake Linux host is missing one or more security
updates.

Description :

A buffer overflow was found in the in the progressive reader of the
PNG library when the PNG datastream contains more IDAT data than
indicated by the IHDR chunk. These deliberately malformed datastreams
would crash applications thus potentially allowing an attacker to
execute malicious code. Many programs make use of the PNG libraries,
including web browsers. This overflow is corrected in versions 1.0.14
and 1.2.4 of the PNG library.

In order to have the system utilize the upgraded packages after the
upgrade, you must restart all running applications that are linked to
libpng. You can obtain this list by executing 'lsof|grep libpng' or
'fuser -v /usr/lib/libpng.so'.

See also :

ftp://swrinde.nde.swri.edu/pub/png-group/archives/png-list.200207

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P)

Family: Mandriva Local Security Checks

Nessus Plugin ID: 13952 (mandrake_MDKSA-2002-049.nasl)

Bugtraq ID:

CVE ID: CVE-2002-0728

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now